#### D.5.5.8 PPolyS

Procedure from library `goettsche.lib` (see goettsche_lib).

Usage:
  PPolyS(z, n, b); z polynomial, n integer, b list of non-negative integers

Return:
  polynomial in z with integer coefficients

Purpose:
  computes the Poincare polynomial of the n-th symmetric power of a variety with Betti numbers b

Note:
  zero is returned if n<0 or b is not a list of non-negative integers

Example:

    LIB "goettsche.lib";
    ring r=0, (z), ls;
    // consider the projective plane P_2 with Betti numbers 1,0,1,0,1
    list b=1,0,1,0,1;
    // get the Poincare polynomial of the third symmetric power of P_2
    print( PPolyS(z, 3, b) );
    ==> 1+z2+2z4+2z6+2z8+z10+z12

User manual for Singular version 4.4.1, 2025, generated by texi2html.